<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>morphorobotx: HardwareManager Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">morphorobotx
   </div>
   <div id="projectbrief">morphorobotxsharedlibrary</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Macros</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classHardwareManager-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">HardwareManager Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="HardwareManager_8hpp_source.html">HardwareManager.hpp</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for HardwareManager:</div>
<div class="dyncontent">
<div class="center"><img src="classHardwareManager__coll__graph.png" border="0" usemap="#HardwareManager_coll__map" alt="Collaboration graph"/></div>
<map name="HardwareManager_coll__map" id="HardwareManager_coll__map">
<area shape="rect" id="node2" href="classstd_1_1vector.html" title="{std::vector\&lt; Controller * \&gt;\n||}" alt="" coords="5,973,179,1059"/><area shape="rect" id="node4" href="classController.html" title="{Controller\n||+ Controller()\l+ GetAxis()\l+ ~Controller()\l}" alt="" coords="39,612,145,732"/><area shape="rect" id="node6" href="classstd_1_1vector.html" title="{std::vector\&lt; ActuatorSystem * \&gt;\n||}" alt="" coords="203,973,413,1059"/><area shape="rect" id="node8" href="classActuatorSystem.html" title="{ActuatorSystem\n|+ nchannels\l# _systemID\l# _localSystemID\l|+ ActuatorSystem()\l+ ~ActuatorSystem()\l+ AddAxis()\l+ SystemID()\l+ LocalSystemID()\l+ GetAxisPointer()\l}" alt="" coords="389,569,533,775"/><area shape="rect" id="node12" href="classActuatorAxis.html" title="{ActuatorAxis\n|# _localID\l# holdMs\l# _name\l# _flip\l|+ ActuatorAxis()\l+ ~ActuatorAxis()\l+ itsActuatorSystem()\l+ GotoAsync()\l+ GotoSync()\l+ GetPositionSync()\l+ SetOption()\l+ LocalID()\l+ Name()\l+ SetName()\l+ SetFlip()\l+ RegisterFields()\l+ UpdateState()\l}" alt="" coords="732,843,881,1189"/><area shape="rect" id="node10" href="classstd_1_1vector.html" title="{std::vector\&lt; ActuatorAxis * \&gt;\n||}" alt="" coords="529,1325,721,1411"/><area shape="rect" id="node14" href="classStateManager.html" title="{StateManager\n||+ StateManager()\l+ ~StateManager()\l+ state()\l+ logger()\l+ Renew()\l+ RegisterField()\l+ RegisterFieldExc()\l+ indexOfField()\l}" alt="" coords="779,569,920,775"/><area shape="rect" id="node24" href="classDataLogger.html" title="{DataLogger\n|# filename\l# file\l# stream\l# isHeaderPrepared\l|+ DataLogger()\l+ ~DataLogger()\l+ WriteCurrentState()\l+ SetFilename()\l+ valid()\l# PrepareFileHeader()\l}" alt="" coords="923,904,1072,1128"/><area shape="rect" id="node16" href="classMeasurementState.html" title="{MeasurementState\n|+ double_nan\l# names\l# units\l|+ operator[]()\l+ MeasurementState()\l+ ~MeasurementState()\l+ GetHeaders()\l+ DumpCurrentValues()\l+ Get()\l+ Update()\l+ Invalidate()\l+ Volatile()\l+ RegisterField()\l+ IndexOfField()\l+ Renew()\l# Update()\l}" alt="" coords="769,173,929,501"/><area shape="rect" id="node18" href="classstd_1_1vector.html" title="{std::vector\&lt; QString \&gt;\n|+ element\l|}" alt="" coords="608,5,760,91"/><area shape="rect" id="node20" href="classstd_1_1vector.html" title="{std::vector\&lt; bool \&gt;\n|+ element\l|}" alt="" coords="784,5,915,91"/><area shape="rect" id="node22" href="classstd_1_1vector.html" title="{std::vector\&lt; double \&gt;\n|+ element\l|}" alt="" coords="939,5,1085,91"/></map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a4eb2b969c999fb0c712c4f9cbc622959"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHardwareManager.html#a4eb2b969c999fb0c712c4f9cbc622959">HardwareManager</a> (<a class="el" href="classExperiment.html">Experiment</a> &amp;experiment)</td></tr>
<tr class="memitem:a0527305ad85e4875e2da02b05664fda1"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHardwareManager.html#a0527305ad85e4875e2da02b05664fda1">~HardwareManager</a> ()</td></tr>
<tr class="memitem:a7568bb9b69e6803400d2aba304f7d442"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHardwareManager.html#a7568bb9b69e6803400d2aba304f7d442">AcquireHardware</a> ()</td></tr>
<tr class="memitem:a44bd17839f7647b13901a97f775cefca"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHardwareManager.html#a44bd17839f7647b13901a97f775cefca">GetAxisPointer</a> (unsigned int systemID, unsigned int localAxisID)</td></tr>
<tr class="memitem:a7f475fb32f5841c667be165675e5da77"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHardwareManager.html#a7f475fb32f5841c667be165675e5da77">BuildRobot</a> (const <a class="el" href="classParms.html">Parms</a> &amp;parms, <a class="el" href="classRobot.html">Robot</a> &amp;robot)</td></tr>
<tr class="memitem:a09617b43ef66149a468bef91be014d6f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classStateManager.html">StateManager</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHardwareManager.html#a09617b43ef66149a468bef91be014d6f">stateManager</a> ()</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:ae2b352383e0647c16717da0ffb1b8f14"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHardwareManager.html#ae2b352383e0647c16717da0ffb1b8f14">AcquireSmaractDevices</a> ()</td></tr>
<tr class="memitem:a31c63608a427635be94baeee7caecadd"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHardwareManager.html#a31c63608a427635be94baeee7caecadd">AcquireZaberDevices</a> ()</td></tr>
<tr class="memitem:a1a73d286473b27c824b25e2a0ed16792"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHardwareManager.html#a1a73d286473b27c824b25e2a0ed16792">QueryComediDevices</a> ()</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a7622793077744782e634c1525600a35d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classStateManager.html">StateManager</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHardwareManager.html#a7622793077744782e634c1525600a35d">_stateManager</a></td></tr>
<tr class="memitem:ad2e9b7bea37ea52086d53711c3cae8aa"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classstd_1_1vector.html">std::vector</a>&lt; <a class="el" href="classActuatorSystem.html">ActuatorSystem</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHardwareManager.html#ad2e9b7bea37ea52086d53711c3cae8aa">_actuatorSystems</a></td></tr>
<tr class="memitem:a8cff6ef57ee792a9301e97e097d25529"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classstd_1_1vector.html">std::vector</a>&lt; <a class="el" href="classController.html">Controller</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHardwareManager.html#a8cff6ef57ee792a9301e97e097d25529">_controllers</a></td></tr>
<tr class="memdesc:a8cff6ef57ee792a9301e97e097d25529"><td class="mdescLeft">&#160;</td><td class="mdescRight">vector of pointers. Cannot store by value, because <a class="el" href="classActuatorSystem.html">ActuatorSystem</a> is abstract.  <a href="#a8cff6ef57ee792a9301e97e097d25529"></a><br/></td></tr>
</table>
<h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a4eb2b969c999fb0c712c4f9cbc622959"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">HardwareManager::HardwareManager </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classExperiment.html">Experiment</a> &amp;&#160;</td>
          <td class="paramname"><em>experiment</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a0527305ad85e4875e2da02b05664fda1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">HardwareManager::~HardwareManager </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2>Member Function Documentation</h2>
<a class="anchor" id="a7568bb9b69e6803400d2aba304f7d442"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool HardwareManager::AcquireHardware </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classHardwareManager_a7568bb9b69e6803400d2aba304f7d442_cgraph.png" border="0" usemap="#classHardwareManager_a7568bb9b69e6803400d2aba304f7d442_cgraph" alt=""/></div>
<map name="classHardwareManager_a7568bb9b69e6803400d2aba304f7d442_cgraph" id="classHardwareManager_a7568bb9b69e6803400d2aba304f7d442_cgraph">
<area shape="rect" id="node3" href="classHardwareManager.html#ae2b352383e0647c16717da0ffb1b8f14" title="HardwareManager::Acquire\lSmaractDevices" alt="" coords="236,5,415,51"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ae2b352383e0647c16717da0ffb1b8f14"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool HardwareManager::AcquireSmaractDevices </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classHardwareManager_ae2b352383e0647c16717da0ffb1b8f14_icgraph.png" border="0" usemap="#classHardwareManager_ae2b352383e0647c16717da0ffb1b8f14_icgraph" alt=""/></div>
<map name="classHardwareManager_ae2b352383e0647c16717da0ffb1b8f14_icgraph" id="classHardwareManager_ae2b352383e0647c16717da0ffb1b8f14_icgraph">
<area shape="rect" id="node3" href="classHardwareManager.html#a7568bb9b69e6803400d2aba304f7d442" title="HardwareManager::Acquire\lHardware" alt="" coords="236,5,415,51"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a31c63608a427635be94baeee7caecadd"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool HardwareManager::AcquireZaberDevices </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a7f475fb32f5841c667be165675e5da77"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool HardwareManager::BuildRobot </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classParms.html">Parms</a> &amp;&#160;</td>
          <td class="paramname"><em>parms</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classRobot.html">Robot</a> &amp;&#160;</td>
          <td class="paramname"><em>robot</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classHardwareManager_a7f475fb32f5841c667be165675e5da77_cgraph.png" border="0" usemap="#classHardwareManager_a7f475fb32f5841c667be165675e5da77_cgraph" alt=""/></div>
<map name="classHardwareManager_a7f475fb32f5841c667be165675e5da77_cgraph" id="classHardwareManager_a7f475fb32f5841c667be165675e5da77_cgraph">
<area shape="rect" id="node3" href="classParms.html#aa6041b7843059839d6dd2e7098ee40b6" title="Parms::all" alt="" coords="255,32,335,61"/><area shape="rect" id="node5" href="classParms.html#aa97f61a21d8b4253bdb13291bc6fe705" title="Parms::extractValues" alt="" coords="385,5,532,35"/><area shape="rect" id="node7" href="classParms.html#ad6a4dd0a3a4d43815ff643922d67856d" title="Parms::readValue" alt="" coords="396,59,521,88"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classHardwareManager_a7f475fb32f5841c667be165675e5da77_icgraph.png" border="0" usemap="#classHardwareManager_a7f475fb32f5841c667be165675e5da77_icgraph" alt=""/></div>
<map name="classHardwareManager_a7f475fb32f5841c667be165675e5da77_icgraph" id="classHardwareManager_a7f475fb32f5841c667be165675e5da77_icgraph">
<area shape="rect" id="node3" href="classExperiment.html#a2666b3fed68eef734107a0251ce405ce" title="Experiment::Initialize" alt="" coords="253,5,397,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a44bd17839f7647b13901a97f775cefca"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a> * HardwareManager::GetAxisPointer </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>systemID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>localAxisID</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classHardwareManager_a44bd17839f7647b13901a97f775cefca_cgraph.png" border="0" usemap="#classHardwareManager_a44bd17839f7647b13901a97f775cefca_cgraph" alt=""/></div>
<map name="classHardwareManager_a44bd17839f7647b13901a97f775cefca_cgraph" id="classHardwareManager_a44bd17839f7647b13901a97f775cefca_cgraph">
<area shape="rect" id="node3" href="classActuatorSystem.html#a793ffbe816baa451e69df29a3cec334f" title="ActuatorSystem::GetAxisPointer" alt="" coords="239,13,449,43"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classHardwareManager_a44bd17839f7647b13901a97f775cefca_icgraph.png" border="0" usemap="#classHardwareManager_a44bd17839f7647b13901a97f775cefca_icgraph" alt=""/></div>
<map name="classHardwareManager_a44bd17839f7647b13901a97f775cefca_icgraph" id="classHardwareManager_a44bd17839f7647b13901a97f775cefca_icgraph">
<area shape="rect" id="node3" href="classRobot.html#addd6c688b1b4697dcfb7f59c5eb4d820" title="TODO: change RobotRecipe into a reference to par object." alt="" coords="237,13,403,43"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a1a73d286473b27c824b25e2a0ed16792"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool HardwareManager::QueryComediDevices </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a09617b43ef66149a468bef91be014d6f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classStateManager.html">StateManager</a>&amp; HardwareManager::stateManager </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2>Member Data Documentation</h2>
<a class="anchor" id="ad2e9b7bea37ea52086d53711c3cae8aa"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classstd_1_1vector.html">std::vector</a>&lt;<a class="el" href="classActuatorSystem.html">ActuatorSystem</a>*&gt; HardwareManager::_actuatorSystems</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a8cff6ef57ee792a9301e97e097d25529"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classstd_1_1vector.html">std::vector</a>&lt;<a class="el" href="classController.html">Controller</a>*&gt; HardwareManager::_controllers</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>vector of pointers. Cannot store by value, because <a class="el" href="classActuatorSystem.html">ActuatorSystem</a> is abstract. </p>

</div>
</div>
<a class="anchor" id="a7622793077744782e634c1525600a35d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classStateManager.html">StateManager</a>&amp; HardwareManager::_stateManager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="HardwareManager_8hpp_source.html">HardwareManager.hpp</a></li>
<li><a class="el" href="HardwareManager_8cpp.html">HardwareManager.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 26 2013 17:54:10 for morphorobotx by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
